Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class SchedulerMetaData

    java.lang.Object
      org.quartz.SchedulerMetaData

All Implemented Interfaces:
  Serializable

    public class SchedulerMetaData

extends Object
implements Serializable

Describes the settings and capabilities of a given ``Scheduler`` instance.

Author:
  James House
See Also:
  Serialized Form

Constructor Summary
`SchedulerMetaData(String schedName, String schedInst, Class schedClass, boolean isRemote, boolean started, boolean isInStandbyMode, boolean shutdown, Date startTime, int numJobsExec, Class jsClass, boolean jsPersistent, boolean jsClustered, Class tpClass, int tpSize, String version)`

Method Summary
`Class` | `getJobStoreClass()` Returns the class-name of the `JobStore` instance that is being used by the `Scheduler`.
`int` | `getNumberOfJobsExecuted()` Returns the number of jobs executed since the `Scheduler` started..
`Date` | `getRunningSince()` Returns the `Date` at which the Scheduler started running.
`Class` | `getSchedulerClass()` Returns the class-name of the `Scheduler` instance.
`String` | `getSchedulerInstanceId()` Returns the instance Id of the `Scheduler`.
`String` | `getSchedulerName()` Returns the name of the `Scheduler`.
`String` | `getSummary()` Returns a formatted (human readable) String describing all the `Scheduler`'s meta-data values.
`Class` | `getThreadPoolClass()` Returns the class-name of the `ThreadPool` instance that is being used by the `Scheduler`.
`int` | `getThreadPoolSize()` Returns the number of threads currently in the `Scheduler`'s `ThreadPool`.
`String` | `getVersion()` Returns the version of Quartz that is running.
`boolean` | `isInStandbyMode()` Reports whether the `Scheduler` is in standby mode.
`boolean` | `isJobStoreClustered()` Returns whether or not the `Scheduler`'s`JobStore` is clustered.
`boolean` | `isJobStoreSupportsPersistence()` Returns whether or not the `Scheduler`'s`JobStore` instance supports persistence.
`boolean` | `isSchedulerRemote()` Returns whether the `Scheduler` is being used remotely (via RMI).
`boolean` | `isShutdown()` Reports whether the `Scheduler` has been shutdown.
`boolean` | `isStarted()` Returns whether the scheduler has been started.
`boolean` | `jobStoreSupportsPersistence()` Deprecated. s
`String` | `toString()` Return a simple string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchedulerMetaData

    public SchedulerMetaData(String schedName,
                             String schedInst,
                             Class schedClass,
                             boolean isRemote,
                             boolean started,
                             boolean isInStandbyMode,
                             boolean shutdown,
                             Date startTime,
                             int numJobsExec,
                             Class jsClass,
                             boolean jsPersistent,
                             boolean jsClustered,
                             Class tpClass,
                             int tpSize,
                             String version)

Method Detail

### getSchedulerName

    public String getSchedulerName()

  Returns the name of the `Scheduler`.

### getSchedulerInstanceId

    public String getSchedulerInstanceId()

  Returns the instance Id of the `Scheduler`.

### getSchedulerClass

    public Class getSchedulerClass()

  Returns the class-name of the `Scheduler` instance.

### getRunningSince

    public Date getRunningSince()

  Returns the `Date` at which the Scheduler started running.

  Returns:
    null if the scheduler has not been started.

### getNumberOfJobsExecuted

    public int getNumberOfJobsExecuted()

  Returns the number of jobs executed since the `Scheduler` started..

### isSchedulerRemote

    public boolean isSchedulerRemote()

  Returns whether the `Scheduler` is being used remotely (via RMI).

### isStarted

    public boolean isStarted()

  Returns whether the scheduler has been started.

  Note: `isStarted()` may return `true` even if `isInStandbyMode()` returns `true`.

### isInStandbyMode

    public boolean isInStandbyMode()

  Reports whether the `Scheduler` is in standby mode.

### isShutdown

    public boolean isShutdown()

  Reports whether the `Scheduler` has been shutdown.

### getJobStoreClass

    public Class getJobStoreClass()

  Returns the class-name of the `JobStore` instance that is being used by the `Scheduler`.

### jobStoreSupportsPersistence

    public boolean jobStoreSupportsPersistence()

  Deprecated. s

  Returns whether or not the `Scheduler`'s`JobStore` instance supports persistence.

  See Also:
    `isJobStoreSupportsPersistence()`

### isJobStoreSupportsPersistence

    public boolean isJobStoreSupportsPersistence()

  Returns whether or not the `Scheduler`'s`JobStore` instance supports persistence.

### isJobStoreClustered

    public boolean isJobStoreClustered()

  Returns whether or not the `Scheduler`'s`JobStore` is clustered.

### getThreadPoolClass

    public Class getThreadPoolClass()

  Returns the class-name of the `ThreadPool` instance that is being used by the `Scheduler`.

### getThreadPoolSize

    public int getThreadPoolSize()

  Returns the number of threads currently in the `Scheduler`'s `ThreadPool`.

### getVersion

    public String getVersion()

  Returns the version of Quartz that is running.

### toString

    public String toString()

  Return a simple string representation of this object.

  Overrides:
    `toString` in class `Object`

### getSummary

    public String getSummary()
                      throws SchedulerException

  Returns a formatted (human readable) String describing all the `Scheduler`'s meta-data values.

  The format of the String looks something like this:

        Quartz Scheduler 'SchedulerName' with instanceId 'SchedulerInstanceId' Scheduler class: 'org.quartz.impl.StdScheduler' - running locally. Running since: '11:33am on Jul 19, 2002' Not currently paused. Number of Triggers fired: '123' Using thread pool 'org.quartz.simpl.SimpleThreadPool' - with '8' threads Using job-store 'org.quartz.impl.JDBCJobStore' - which supports persistence.

  Throws:
    `SchedulerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.